Parser function for labelling TOC items/entries
OpenPublic

Description

Example of how TOC labels could appear.

I propose the creation of a new parser function to allow the labelling of entries in tables of contents.

Rationale: there are are many occasions when on large project pages - for example, those of various deletion processes on the English Wikipedia - when it would be advantageous to be able to get an at-a-glimpse overview of the status of everything on the entire page. At present, there's no way to do that; to assess a long page the reader needs to move all the way down it, either in one continuous scroll or by clicking TOC entries then going back. Neither is a particularly good use of time. This time-consuming process could be avoided if it were possible to attach short labels to TOC entries.

Example: On a discussion process page these labels might be "open", "closed" and "reopened". The following potential syntax could create a TOC whose appearance is demonstrated in the image attached to this ticket.

== First thing {{toclabel:closed}} ==

Text

== Second thing {{toclabel:open}} ==

Text

== Third thing {{toclabel:reopened}} ==

Text

Advantage over status quo: It is already possible to kludge this by putting a label in a section heading, but doing so will produce a section anchor that includes the label. If/when the item's status and label are changed, the resulting anchor will be different and break incoming links. This is obviously suboptimal.

Example of necessity: The technique just described is currently being used at http://en.wikipedia.org/wiki/Wikipedia:AN3 . That page would benefit from this suggestion.

Considerations:

  • Labels should have a relatively short maximum length to avoid abuse of the filter.
  • Labels should be plain text (no processing of wiki markup).
  • Labels should not be included in the hyperlink in a TOC item. Keeping the metadata visually distinct will make an annotated TOC easier to read.

Version: 1.23.0
Severity: enhancement
URL: http://en.wikipedia.org/wiki/Wikipedia:AN3

Attached:

bzimport added projects: MediaWiki-Parser, Design.Via ConduitNov 22 2014, 1:05 AM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz42538.
Scott created this task.Via LegacyNov 29 2012, 12:55 PM
PiRSquared17 added a comment.Via ConduitFeb 23 2014, 11:28 PM

I'd like to hear from design people about this.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.